New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Audiobook

Update project settings

PUT
/api/v1/audiobook/projects/{project_id}/settings

Path Parameters

project_id*Project Id

Request Body

application/json
  1. body
model_family?string|null
model_quality?string|null
language?string|null
generation_params?|null
export_format?string|null
export_acx?boolean|null
export_loudness?|null
detect_emotions?boolean|null
silence_lead_in?boolean|null
silence_between_segments_ms?integer|null
silence_between_sections_ms?integer|null
speaker_pause_ms?integer|null
max_segment_words?integer|null
emotion_engine?string|null
takes_per_generation?integer|null
design_model_family?string|null

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/audiobook/projects/string/settings' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null